using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;
using System.Runtime.Serialization;

namespace Symbol_ContextMenus
{
	/// <summary>
	/// Summary description for MySymbol1.
	/// </summary>
	[Serializable()]
	public class RectangleSymbol : Symbol
	{
		public Syncfusion.Windows.Forms.Diagram.Rectangle rect= null;

		public RectangleSymbol()
		{
			//////////////////////////////////////////////////////////////////
			// Add child nodes to the symbol programmatically
			//////////////////////////////////////////////////////////////////

			// Add an outer rectangle
			this.rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(0, 0, 120, 80);
			this.rect.Name = "Rectangle";
			this.rect.FillStyle.Color = Color.Khaki;
			this.AppendChild(rect);

			
			//Add Label
			Label lbl = this.AddLabel("Rectangle", BoxPosition.Center);
			lbl.BackgroundStyle.Color = Color.Transparent;
		}

		protected RectangleSymbol(SerializationInfo info, StreamingContext context) : base(info, context)
		{

		}

		protected override void GetObjectData(SerializationInfo info, StreamingContext context)
		{
			base.GetObjectData(info, context);
		}

		protected override void OnDeserialization(object sender)
		{
			base.OnDeserialization(sender);
		}
	}
[Serializable()]
		public class TriangleSymbol : Symbol
		{
			public Syncfusion.Windows.Forms.Diagram.Polygon triangle = null;

			public TriangleSymbol()
			{
				//////////////////////////////////////////////////////////////////
				// Add child nodes to the symbol programmatically
				//////////////////////////////////////////////////////////////////

				// Add an outer rectangle
				this.triangle = new Polygon(new PointF [] { new PointF(0,0),new PointF(150,0),new PointF(75,75) });
				this.triangle.Name = "Triangle";
				this.triangle.FillStyle.Color = Color.Khaki;
				this.AppendChild(triangle);

			
				//Add Label
				Label lbl = this.AddLabel("Triangle", BoxPosition.Center);
				lbl.BackgroundStyle.Color = Color.Transparent;
				lbl.EditStyle.AllowSelect = false;
			}

			protected TriangleSymbol(SerializationInfo info, StreamingContext context) : base(info, context)
			{

			}

			protected override void GetObjectData(SerializationInfo info, StreamingContext context)
			{
				base.GetObjectData(info, context);
			}
		}
	}



